> For the complete documentation index, see [llms.txt](https://help.bioinsight.illumina.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs.md).

# API Portal

Together, REST and External Program Integration Plug-ins (EPP)/automation provide powerful and simple-to-use scripting. Before working with the REST API, understand the conceptual structure and design of these interfaces.

The links below provide overview information to help you get started, a self-training Cookbook guide with example scripts, and videos that supplement the API training materials.

* [REST](/clarity-lims/api-and-database/api-docs/rest.md)
* [Getting Started with API](/clarity-lims/api-and-database/api-docs/getting-started-with-api.md)
* [Automation](/clarity-lims/api-and-database/api-docs/automation.md)
* [Tips and Tricks](/clarity-lims/api-and-database/api-docs/tips-and-tricks.md)
* [Cookbook](/clarity-lims/api-and-database/api-docs/cookbook.md)
* [Application Examples](/clarity-lims/api-and-database/api-docs/application-examples.md)
* [Resources and References](/clarity-lims/api-and-database/api-docs/application-examples/resources-and-references.md)

#### Current API Version:

[Clarity LIMS v6.3](https://d10e8rzir0haj8.cloudfront.net/6.3/REST.html) - v2 r34

#### Previous API Versions:

[Clarity LIMS v6.2](https://d10e8rzir0haj8.cloudfront.net/6.2/REST.html) - v2 r33


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://help.bioinsight.illumina.com/clarity-lims/api-and-database/api-docs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
